ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée <nicolas.lale...@hibnet.org>
Subject Re: unofficial builds on hibnet
Date Thu, 18 Sep 2008 13:10:54 GMT
Le jeudi 18 septembre 2008, Clements Mark a écrit :
> > From: Nicolas Lalevée [mailto:nicolas.lalevee@hibnet.org]
> >
> > Le vendredi 12 septembre 2008, Clements Mark a écrit :
> > > Hi,
> > >
> > > I was wondering if there was any chance of seeing any new unofficial
> >
> > builds
> >
> > > on hibnet ( http://www.hibnet.org/ivyde/updatesite )? The latest one
> > > appears to be from May 24.
> >
> > This updatesite was dedicated to provide a early release of the version 2
> > of IvyDE. Now that IvyDE 2.0.0.alpha1 is out, I think you should rely on
> > >it.
>
> Hi,
> Thanks for your response. I've tried installing alpha1 but I'm having
> trouble installing from
>
> http://ant.apache.org/ivy/ivyde/updatesite/
>
> using RAD 7. I get a dialog saying "Update operation has failed", and in
> the logs I see
>
> !MESSAGE Error retrieving
> "plugins/org.apache.ivyde.eclipse_2.0.0.alpha1.jar". [Error opening zip
> file C:\DOCUME
> ~1\clements\LOCALS~1\Temp\eclipse\.update\1221660140164\1221660140173\eclip
>se23745.tmp] !STACK 0
> java.util.zip.ZipException: Error opening zip file
> C:\DOCUME~1\clements\LOCALS~1\Temp\eclipse\.update\1221660140
> 164\1221660140173\eclipse23745.tmp
>
> I've encountered the same problem on a colleague's workstation and his
> freshly-installed version of RAD 7 (7.0.0.7).
>
> The update site works with Eclipse 3.4, on the other hand, and I can
> install it from a local mirror I made some time ago, the difference between
> the two that I can see being this  line from site.xml:
>
> (works)
> <site pack200="true"
> digestURL="http://www.apache.org/dist/ant/ivy/ivyde/updatesite/digest.zip/"
> mirrorsURL="http://www.apache.org/ant/ivy/ivyde/updatesite/eclipse-update--
>xml.cgi">
>
> (doesn't work)
> <site pack200="true"
> digestURL="http://ant.apache.org/ivy/ivyde/updatesite/"
> mirrorsURL="http://ant.apache.org/ivy/ivyde/updatesite/eclipse-update--xml.
>cgi">
>
> Have I missed something?

The digest URL from your first example is incorrect, it should be the second 
one. Normally (read from the Eclipse documentation), Eclipse version that 
does not support optimized update site (with a digest.zip) should ignore it 
and get the plugins metadata the old way. But it seems that your RAD 7 is 
supporting it but is not able to unzip it. And it works correctly when no 
digest is available, as expected for every Eclipse version.

I have searched in the google literatue, I found this:
http://forum.springframework.org/showthread.php?t=50112
But I rechecked the binaries, they are all correct...
So I have no clue what is your issue.

Nicolas

>
> > But I can update it with the last trunk of early adopters. I will try to
> > take time to do some update.
>
> Thanks again,
>
> Mark

Mime
View raw message